> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lootexplus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim Drop



## OpenAPI

````yaml POST /v1/project-wallet/drops/claim
openapi: 3.0.0
info:
  title: Lootex Plus API - V1
  description: V1 endpoints
  version: 0.0.1
  contact: {}
servers:
  - url: https://api.lootexplus.com
security: []
tags: []
paths:
  /v1/project-wallet/drops/claim:
    post:
      tags:
        - V1
      summary: Claim NFT from a drop using server wallet
      operationId: ServerWalletDropsController_claimDrop
      parameters: []
      requestBody:
        required: true
        description: Claim drop data
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ServerWalletClaimDropDto'
      responses:
        '201':
          description: NFT claimed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClaimDropResponseDto'
              example:
                assets:
                  - chainId: 1868
                    contractAddress: '0xda365ed7e15c1fdc74a9bef7ff558b33892f7534'
                    tokenId: '2'
                    name: 'Slowpoke #7397'
                    description: >-
                      Incredibly slow and dopey. It takes 5 seconds for it to
                      feel pain when under attack.
                    imageUrl: >-
                      https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/pokemon/other/official-artwork/79.png
                    animationUrl: ''
                    tokenUri: >-
                      https://api.lootexplus.com/v1/metadata/d999b43b-be34-40c8-98fe-bcdb5fea8de9/0
                    schema: ERC721
                    bestListing: null
                    collection:
                      id: f98bcb27-d77a-4786-848f-7357aab8e704
                      slug: soneium:0xda365ed7e15c1fdc74a9bef7ff558b33892f7534
                      chainId: 1868
                      contractAddress: '0xda365ed7e15c1fdc74a9bef7ff558b33892f7534'
                      name: My NFT Drop
                      isVerified: false
                transactions:
                  - id: abb2aec3-0b51-43e2-9cf8-3b4ff37263a5
                    jobId: 3edff414918b5851d5676ea9
                    status: pending
                    projectId: p-2e48091c5b40d0d03a564e5a
                    transactionHash: >-
                      0xcf8b0157b6b2f6cc9b6d8e27e71985f15475ab826308cbbb2fb71ac23700fddc
                    chainId: 1868
                    from: '0x50A1eD7DEb09508771288BcEa72143436ffCF7Fb'
                    to: '0xda365ed7e15c1fdc74a9bef7ff558b33892f7534'
                    value: '0'
                    data: >-
                      0x84bb1e420000000000000000000000007d878a527e86321aecd80a493e584117a907a0ab0000000000000000000000000000000000000000000000000000000000000001000000000000000000000000eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000c00000000000000000000000000000000000000000000000000000000000000180000000000000000000000000000000000000000000000000000000000000008000000000000000000000000000000000000000000000000000000000000003e80000000000000000000000000000000000000000000000000000000000000000000000000000000000000000eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
                    gasUsed: null
                    gasPrice: null
                    totalGasFee: null
                    metadata: null
                    createdAt: '2025-08-15T09:20:26.869Z'
                    updatedAt: '2025-08-15T09:20:26.869Z'
      security:
        - bearer: []
components:
  schemas:
    ServerWalletClaimDropDto:
      type: object
      properties:
        projectId:
          type: string
          description: Project ID
          example: '123'
        chainId:
          type: number
          description: Chain ID
          example: 1868
          default: 1868
        contractAddress:
          type: string
          description: Drop contract address
          example: '0x0eC8705Ca1071f467cB4bAEb548Af2aeaF5426fd'
        recipientAddress:
          type: string
          description: Recipient wallet address
          example: ''
        quantity:
          type: number
          description: Quantity
          example: 1
          default: 1
        overrideMetadata:
          description: Override metadata for each token minted
          type: array
          items:
            $ref: '#/components/schemas/SetTokenMetadataDto'
      required:
        - chainId
        - contractAddress
        - recipientAddress
        - quantity
    ClaimDropResponseDto:
      type: object
      properties:
        assets:
          description: The assets that were claimed from the drop
          type: array
          items:
            $ref: '#/components/schemas/AssetDto'
        transactions:
          description: The transactions that were sent to claim the drop
          type: array
          items:
            $ref: '#/components/schemas/Transaction'
      required:
        - assets
        - transactions
    SetTokenMetadataDto:
      type: object
      properties:
        name:
          type: string
          description: Token name
          example: 'Cool NFT #1'
        description:
          type: string
          description: Token description
          example: This is a really cool NFT
        image:
          type: string
          description: Token image URL
          example: https://example.com/image.png
        animationUrl:
          type: string
          description: Animation URL for the token
          example: https://example.com/animation.mp4
        externalUrl:
          type: string
          description: External URL for the token
          example: https://example.com
        attributes:
          description: Token attributes
          type: array
          items:
            $ref: '#/components/schemas/TokenAttribute'
        properties:
          type: object
          description: Additional properties
          example:
            category: art
      required:
        - name
    AssetDto:
      type: object
      properties:
        id:
          type: string
          example: c070a82a-2798-46f9-830e-6916d8d30320
          description: Asset ID
        chainId:
          type: number
          example: 1868
          description: Chain ID
        contractAddress:
          type: string
          example: '0xfc8e7bda94874f6baa591dd70af0fda1fca201ab'
          description: Contract address
        tokenId:
          type: string
          example: '42'
          description: Token ID
        name:
          type: string
          example: Cool NFT
          description: Name of the asset
        description:
          type: string
          example: This is a cool NFT
          description: Description of the asset
        imageUrl:
          type: string
          example: https://example.com/image.png
          description: Image URL of the asset
        animationUrl:
          type: string
          example: https://example.com/animation.mp4
          description: Animation URL of the asset
        tokenUri:
          type: string
          example: https://example.com/metadata.json
          description: Token URI of the asset
        schema:
          type: string
          example: ERC721
          description: Schema of the asset
          enum:
            - ERC721
            - ERC1155
        bestListing:
          description: Best listing for the asset
          nullable: true
          example:
            unitPrice: '1000000000000000000'
            priceSymbol: ETH
            quantity: '1'
            offerer: '0x1234567890abcdef1234567890abcdef12345678'
            orderHash: >-
              0xabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdef
          allOf:
            - $ref: '#/components/schemas/ListingDto'
        collection:
          description: Collection of the asset
          nullable: true
          allOf:
            - $ref: '#/components/schemas/CollectionDto'
      required:
        - id
        - chainId
        - contractAddress
        - tokenId
        - schema
    Transaction:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the transaction
          example: 123e4567-e89b-12d3-a456-426614174000
        jobId:
          type: string
          description: The job ID of the transaction
          example: 123e4567-e89b-12d3-a456-426614174000
        status:
          type: string
          description: The status of the transaction
          example: pending
        projectId:
          type: string
          description: The project ID of the transaction
          example: 123e4567-e89b-12d3-a456-426614174000
        transactionHash:
          type: string
          description: The transaction hash of the transaction
          example: 0x123e4567-e89b-12d3-a456-426614174000
        chainId:
          type: number
          description: The chain ID of the transaction
          example: 1
        from:
          type: string
          description: The from address of the transaction
          example: 0x123e4567-e89b-12d3-a456-426614174000
        to:
          type: string
          description: The to address of the transaction
          example: 0x123e4567-e89b-12d3-a456-426614174000
        value:
          type: string
          description: The value of the transaction
          example: '1000000000000000000'
        data:
          type: string
          description: The data of the transaction
          example: 0x
        gasUsed:
          type: string
          description: The gas used of the transaction
          example: '1000000000000000000'
        gasPrice:
          type: string
          description: The gas price of the transaction
          example: '1000000000000000000'
        totalGasFee:
          type: string
          description: The total gas fee of the transaction
          example: '1000000000000000000'
        metadata:
          type: string
          description: The metadata of the transaction
          example: '{}  '
        createdAt:
          format: date-time
          type: string
          description: The date when the transaction was created
          example: '2024-03-20T12:00:00Z'
        updatedAt:
          format: date-time
          type: string
          description: The date when the transaction was last updated
          example: '2024-03-20T12:00:00Z'
      required:
        - id
        - jobId
        - status
        - projectId
        - transactionHash
        - chainId
        - from
        - to
        - value
        - data
        - gasUsed
        - gasPrice
        - totalGasFee
        - metadata
        - createdAt
        - updatedAt
    TokenAttribute:
      type: object
      properties:
        trait_type:
          type: string
          description: Attribute trait type
          example: Background
        value:
          type: object
          description: Attribute value
          example: Blue
        display_type:
          type: string
          description: Display type for the attribute
          example: string
      required:
        - trait_type
        - value
    ListingDto:
      type: object
      properties:
        unitPrice:
          type: string
          description: Unit price of the listing
          example: '1000000000000000000'
        priceSymbol:
          type: string
          description: Price symbol of the listing
          example: ETH
        quantity:
          type: string
          description: Quantity available in the listing
          example: '1'
        offerer:
          type: string
          description: Address of the offerer
          example: '0x1234567890abcdef1234567890abcdef12345678'
        orderHash:
          type: string
          description: Order hash of the listing
          example: >-
            0xabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdef
      required:
        - unitPrice
        - priceSymbol
        - quantity
        - offerer
        - orderHash
    CollectionDto:
      type: object
      properties:
        id:
          type: string
          example: c070a82a-2798-46f9-830e-6916d8d30320
          description: Collection ID
        slug:
          type: string
          example: cool-nft
          description: Collection slug
        chainId:
          type: number
          example: 1868
          description: Chain ID
        contractAddress:
          type: string
          example: '0xfc8e7bda94874f6baa591dd70af0fda1fca201ab'
          description: Contract address
        name:
          type: string
          example: Cool NFT
          description: Collection name
        imageUrl:
          type: string
          example: https://cool-nft.com/image.png
          description: Collection image
        description:
          type: string
          example: Cool NFT
          description: Collection description
        isVerified:
          type: boolean
          example: true
          description: Whether the collection is verified
      required:
        - id
        - slug
        - chainId
        - contractAddress
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Secret key for authentication

````